<?php
namespace Mageplaza\Blog\Block\Adminhtml\Post\Edit\Tab\History;

/**
 * Interceptor class for @see \Mageplaza\Blog\Block\Adminhtml\Post\Edit\Tab\History
 */
class Interceptor extends \Mageplaza\Blog\Block\Adminhtml\Post\Edit\Tab\History implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Template\Context $context, \Magento\Framework\Registry $coreRegistry, \Magento\Backend\Helper\Data $backendHelper, \Mageplaza\Blog\Model\ResourceModel\PostHistory\Collection $historyCollection, \Mageplaza\Blog\Helper\Data $_helperData, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $coreRegistry, $backendHelper, $historyCollection, $_helperData, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
